### Function

# Clutter TimelineProgressFunc

#### Declaration

    gdouble
    (* ClutterTimelineProgressFunc) (
      ClutterTimeline* timeline,
      gdouble elapsed,
      gdouble total,
      gpointer user_data
    )

#### Description [src]

A function for defining a custom progress.

#### Parameters

`timeline`

  Type: `ClutterTimeline`

  A `ClutterTimeline`.

  The data is owned by the caller of the function.

`elapsed`

  Type: `gdouble`

  The elapsed time, in milliseconds.

`total`

  Type: `gdouble`

  The total duration of the timeline, in milliseconds,.

`user_data`

  Type: `gpointer`

  Data passed to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gdouble`

The progress, as a floating point value between -1.0 and 2.0.